Subject: bug#60210: 30.0.50; tab-bar height not recalculated when face changes

From: Juri Linkov <[email-masked]>
Date: Mon, 26 Dec 2022 19:29:01 +0200

>>>> I doubt the font-related changes are relevant, but bisecting will be
>>>> welcome.
>>>
>>> Indeed, the culprit is 5db4ec20fe.
>>>
>>> Patch attached.
>>
>> Thanks, this LGTM.  If you tested this with tab bars of more than
>> a single line, including when tabs are removed so a single line is once
>> again long enough, please install on the release branch.
>
> I did test it, but I don't use tab bars, so I'm not 110% sure.  Juri, could
> you please test the patch?

Thanks for the patch.  I tested it in emacs-29 with tab-bar-lines > 1
and see no problems.